@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600;700;800;900&display=swap');

@media only screen and (min-width:1600px) {
    .container {
        max-width: 1540px !important;
    }
}

@media only screen and (min-width:1800px) {
    .container {
        max-width: 1680px !important;
    }
}

:root {
    --black: #00070D;
    --white: #fff;
    --green: #3DFFED;
    --radius: 15px;
    --link-radius: 50px;
    --timing-function: 0.5s cubic-bezier(0.4, 0, 0.2, 1);
    --animation-timing-function: 0.5s ease-in-out;
}

body {
    font-family: "Poppins", sans-serif;
    font-weight: 400;
    font-optical-sizing: auto;
    font-style: normal;
    text-rendering: optimizeLegibility;
    -webkit-font-smoothing: antialiased;
    font-size: 14px;
    background-color: var(--black);
    color: var(--white);
}

#angebot {
    scroll-margin-top: 100px;
}


/* Fonts CSS Start */



.mini-title {
    font-size: 16px;
}

.sub-heading {
    font-size: 16px;
}

/* Fonts CSS End */

/* Spacings CSS Start */

.spacing-top {
    padding-top: 100px;
}

.spacing-bottom {
    padding-bottom: 100px;
}

.margin-spacing-top {
    margin-top: 100px;
}

.margin-spacing-bottom {
    margin-bottom: 100px;
}

/* Spacings CSS End */

button {
    cursor: pointer;
    padding: 0;
    background: none;
    outline: none;
    border: none;
}

h1, h2, h3, h4, h5, h6, p {
    margin: 0;
}



header {
    position: sticky;
    top: 0;
    left: 0;
    z-index: 100;
    padding-top: 10px;
    padding-bottom: 10px;
    background: var(--black);

}

header ul {
    margin: 0px;
}

.desktop-links {
    display: none;
}

.hamburger-trigger {
    display: flex;
    flex-direction: column;
    align-items: flex-end;
    gap: 7px;
    padding-top: 10px;
}

.hamburger-trigger span {

    height: 2px;
    display: block;
    background-color: var(--white);
    transition: all var(--timing-function);
    transform: translate3d(0px, 0px, 0.0001px);
}

.hamburger-box {
    display: flex;
    justify-content: flex-end;
}

.first-hamburger {
    width: 30px;

}

.second-hamburger {
    width: 21px;

}

.active-hamburger .first-hamburger {
    transform: rotate(44deg) translate3d(0px, 10px, 0.0001px);
}

.active-hamburger .second-hamburger {
    width: 30px;
    transform: rotate(-45deg) translate3d(-5px, -7px, 0.0001px);
}

.header-links {
    display: none;
}

.header-social-links {
    display: none;
}

.logo-container img {
    max-width: 160px;
    width: auto;
    height: auto;
}

/* Fonts CSS Start */

.title {
    font-size: 35px;
    line-height: 45px;
    font-weight: 300;
}

.heading {
    font-size: 25px;
    line-height: 35px;
    font-weight: 300;
}

.sub-title {
    font-size: 16px;
    line-height: 20px;
    font-weight: 500;
}

.mini-heading {
    font-size: 20px;
    line-height: 25px;
    font-weight: 300;
}

/* Fonts CSS End */

.title-and-links {
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.title-and-text {
    display: flex;
    flex-direction: column;
    gap: 15px;
}

.link {
    padding: 5px 15px;
    border-radius: var(--link-radius);
    transition: all var(--timing-function);
    display: inline-flex;
}

.white-link {
    background-color: var(--white);
    color: var(--black);
    border: 1px solid var(--white);
}

.transparent-link {
    background-color: transparent;
    color: var(--white);
    border: 1px solid var(--white);
}

.links {
    display: flex;
    align-items: center;
    gap: 16px;
    flex-wrap: wrap;
}

.title-and-sub-title {
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.title-and-sub-title .sub-title {
    color: var(--green);
    display: block;
}

.title-and-sub-title .heading span {
    font-weight: 500;
}

.text-and-link {
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.solutions-holder {
    display: flex;
    flex-direction: column;
    gap: 25px;
}

.solution-item {
    display: flex;
    flex-direction: column;
    gap: 16px;
    padding: 15px 10px;
}

.solution-item-title-and-text {
    display: flex;
    flex-direction: column;
    gap: 5px;
}

.solution-svg-box {

    width: 25px;
    height: 25px;
}

.solution-svg-box img {
    max-width: 100%;
    width: auto;
    height: auto;
    max-height: 100%;
}

.border-top-solution {
    border-top: 1px solid var(--white);
}

.solution-item {
    opacity: 0.5;
    transition: opacity var(--timing-function);
    border-bottom: 1px solid var(--white);
}

.solution-item span {
    transition: color var(--timing-function);
}

.solution-item svg path {
    transition: fill var(--timing-function), stroke var(--timing-function);
}

.solution-images {
    position: relative;
    height: 400px;
    margin-top: 30px;
}

.solution-image {
    position: absolute;
    top: 0px;
    left: 0px;
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: opacity var(--timing-function), transform var(--timing-function);
    transform: translate3d(0px, 0px, 0.0001px);
    opacity: 0;
}

.solution-image picture {
    width: 100%;
    height: 100%;
}

.solutions-boxes {
    margin-top: 30px;
}

.active-solution-image {
    opacity: 1;
    transform: translate3d(0px, 0px, 0.0001px);
}

.solution-image img {
    width: 100%;
    height: 100%;
    border-radius: var(--radius);
    object-fit: cover;
}

.desktop-solutions-content {
    display: none;
}

.mobile-solution-content {
    display: flex;
    flex-direction: column;
    gap: 15px;
}

.active-solution-item {
    opacity: 1;
}

.contact-links {
    margin-top: 30px;
    display: flex;
    align-items: center;
    gap: 16px;
}

.contact-link {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 50px;
    height: 50px;
    border-radius: var(--radius);
    background: radial-gradient(205.03% 250.19% at -38.32% 133.55%, rgba(17, 148, 210, 0.30) 0%, rgba(255, 255, 255, 0.17) 73.08%, rgba(49, 163, 216, 0.30) 100%);
    box-shadow: 0 4px 4px 0 rgba(0, 0, 0, 0.25);
    backdrop-filter: blur(8px);
}

.contact-link svg {
    max-width: 50%;
    width: auto;
    max-height: 50%;
    height: auto;
}

.contact-image {
    width: 100%;
    height: 250px;
}

.contact-image img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}


footer {
    padding-top: 30px;
}

.footer-main-nav {
    padding: 0px;
    display: flex;
    flex-direction: column;
    gap: 10px;
    margin: 0px;
}

.footer-main-nav a {
    font-size: 14px;
    line-height: 18px;
    color: var(--white);
}

.footer-nav-item-button span {
    font-size: 14px;
    transition: color var(--timing-function);
    line-height: 18px;
    color: var(--white);
    display: block;
}

.footer-nav-item-button svg {
    transform: translate3d(0px, 0px, 0.0001px);
    transition: transform var(--timing-function);
}

.footer-nav-item-button {
    display: flex;
    gap: 10px;
    align-items: center;
}

.footer-main-nav ul {
    padding: 10px 0px 10px 10px;
    display: flex;
    flex-direction: column;
    gap: 10px;
    opacity: 0;
    margin: 0px;
}

.footer-nav-dropdown {
    transition: all var(--timing-function);
    max-height: 21px;
    overflow: hidden;
}

.footer-nav-item {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
}

.active-footer-dropdown {
    max-height: 700px;
}

.active-footer-dropdown ul {
    opacity: 1 !important;
}

.active-footer-dropdown .footer-nav-item-button svg {
    transform: translate3d(0px, 0px, 0.0001px) rotate(-180deg);
}

.active-footer-dropdown .footer-nav-item-button span {
    color: var(--green);
}

.footer-social-media {
    display: flex;
    align-items: center;
    gap: 16px;
    margin-top: 30px;
}

.footer-top-content {
    padding-bottom: 20px;
    border-bottom: 1px solid var(--white);
}

.footer-bottom-content a {
    color: var(--white);
    font-size: 14px;
    line-height: 18px;
    transition: all var(--timing-function);
}

.footer-bottom-content {
    display: flex;
    flex-direction: column;
    gap: 15px;
    padding-top: 20px;
    padding-bottom: 10px;
}

.privacy-link {
    opacity: 0.5;
}

.slider-buttons-holder {
    display: flex;
    align-items: center;
    gap: 16px;
}

.slider-buttons-holder button {
    padding: 0px;
    width: 40px;
    height: 40px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 50%;
    border: 1px solid var(--white);
}

.slider-buttons-holder button svg {
    max-height: 12px;
    width: auto;
    height: auto;
}

/* Menu CSS Start */

.full-screen-menu {
    position: fixed;
    top: 0px;
    width: 100%;
    height: 100vh;
    background: var(--black);
    z-index: 50;
    padding-top: 100px;
    padding-bottom: 100px;
    overflow-y: auto;
    transition: all var(--timing-function);
    opacity: 0;
    visibility: hidden;
    pointer-events: none;
}

.active-full-screen-menu {
    opacity: 1;
    visibility: visible;
    pointer-events: auto;
    transform: translate3d(0, 0, 0.0001px);
}

.full-screen-menu ul {
    padding: 0;
    margin: 0;
}

.full-screen-menu ul li {
    font-size: 20px;
    line-height: 30px;
}

.location-link {
    font-size: 16px !important;
    line-height: 25px !important;
}

.full-screen-menu .full-screen-menu-contact-links li {
    font-size: 16px;
    line-height: 20px;
}

.full-screen-links-wrapper-title span {
    font-size: 20px;
    line-height: 30px;
    margin-bottom: 10px;
    display: block;
    font-weight: 500;
}

.location-link a {
    color: var(--white);
}

.location-link a span {
    display: block;
    font-weight: 500;
}

.full-screen-menu-items {
    display: flex;
    flex-direction: column;
    gap: 80px;
}

.full-screen-menu-list {
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.full-screen-menu-contact-links {
    margin-top: 10px !important;
}


.full-screen-menu-list a {
    color: var(--white);
}


.full-screen-nav-item-button span {
    transition: color var(--timing-function);
    color: var(--white);
    display: block;
}

.full-screen-nav-item-button svg {
    transform: translate3d(0px, 0px, 0.0001px);
    transition: transform var(--timing-function);
}

.full-screen-nav-item-button {
    display: flex;
    gap: 10px;
    align-items: center;
}


.full-screen-submenu {
    padding-left: 10px !important;
    display: flex;
    flex-direction: column;
    gap: 5px;
    opacity: 0;
    transition: opacity var(--timing-function);
    pointer-events: none;
}

.full-screen-submenu li {
    font-size: 16px !important;
    line-height: 24px !important;
}

.full-screen-nav-dropdown {
    max-height: 30px;
    overflow: hidden;
    transition: max-height var(--timing-function);
    will-change: max-height;
}

.full-screen-nav-item-button span {
    transition: color var(--timing-function);
}

.full-screen-nav-item-button svg {
    transition: transform var(--timing-function);
    transform: translate3d(0px, 0px, 0.0001px) rotate(0deg);
}

.active-full-screen-dropdown {
    max-height: 1000px;
}

.active-full-screen-dropdown .full-screen-nav-item-button span {
    color: var(--green) !important;
}

.active-full-screen-dropdown .full-screen-nav-item-button svg {
    transform: translate3d(0px, 0px, 0.0001px) rotate(-180deg);
}

.active-full-screen-dropdown .full-screen-submenu {
    opacity: 1;
    pointer-events: auto;
}

.full-screen-menu .container, .full-screen-menu .container .row, .full-screen-menu .container .row .col-12, .full-screen-menu .container .row .col-12 .full-screen-menu-items {
    height: 100%;
}

.full-screen-menu-items {
    position: relative;
}

.full-screen-social-links-wrapper {
    position: absolute;
    bottom: 150px;
}

/* Menu CSS End */

/* Animations CSS Start */

.item-animation {
    transition: all var(--animation-timing-function);
    transform: translate3d(0px, 20px, 0.00001px);
    opacity: 0;
}

.animate-second {
    transition-delay: .3s;
}

.animate-third {
    transition-delay: .6s;
}

.animate-fourth {
    transition-delay: .9s;
}

.animate-fifth {
    transition-delay: 1.2s;
}

.in-view .item-animation {
    opacity: 1;
    transform: translate3d(0px, 0px, 0.00001px);
}

/* Animations CSS End */

/* 404 CSS Start */

.not-found-texts-and-link {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 30px;
}

.not-found-title {
    display: flex;
    flex-direction: column;
    gap: 20px;
    text-align: center;
}

/* 404 CSS End */

.contact-holder {
    padding-top: 50px;
    padding-bottom: 50px;
}

.footer-navigations-holder {
    margin-top: 30px;
}

@media only screen and (min-width:992px) {

    /* 404 CSS Desktop Start*/

    .not-found-texts-and-link {
        gap: 40px;
    }

    /* 404 CSS Desktop End */

    .title-and-links {
        gap: 50px;
    }

    .title-and-text {
        gap: 30px;
    }

    header {
        padding-top: 15px;
        padding-bottom: 15px;
    }

    .title {
        font-size: 50px;
        line-height: 60px;
        white-space: pre-wrap;
    }

    .heading {
        font-size: 30px;
        line-height: 40px;
        white-space: pre-wrap;
    }

    .mini-heading {
        font-size: 20px;
        line-height: 30px;
    }

    .hamburger-box {
        display: none;
    }

    .full-screen-menu {
        display: none;
    }

    body {
        font-size: 16px;
        line-height: 24px;
    }

    /* Spacings CSS Start */

    .spacing-top {
        padding-top: 200px;
    }

    .spacing-bottom {
        padding-bottom: 200px;
    }

    .margin-spacing-top {
        margin-top: 200px;
    }

    .margin-spacing-bottom {
        margin-bottom: 200px;
    }

    /* Spacings CSS End */

    .mobile-solution-content {
        display: none;
    }

    .solution-holder {
        display: flex;
        align-items: flex-start;
        gap: 40px;
    }

    .solution-images {
        width: calc(50% - 20px);
        height: 600px;
        display: flex;
        transition-delay: .9s;
        order: 2;
    }

    .solutions-content {
        width: calc(50% - 20px);
        display: flex;
        order: 1;
        flex-direction: column;
    }

    .desktop-solutions-content {
        display: flex;
    }

    .desktop-solutions-content .heading {
        white-space: unset;
    }

    .solutions-boxes {
        margin-top: 50px;
    }

    .solution-svg-box {
        position: relative;
        top: 7px;
        width: 40px;
        height: 40px;
    }

    .solution-item {
        padding: 15px 10px;
        flex-direction: row;
    }

    .solution-item-title-and-text {
        gap: 10px;
    }

    .contact-content {
        display: flex;
        align-items: center;
        gap: 100px;
    }

    .contact-texts {
        width: calc(50% - 50px);
    }

    .contact-image {
        width: calc(50% - 50px);
    }

    .contact-links {
        margin-top: 50px;
    }

    .footer-top-content {

        padding-bottom: 25px;

    }

    .footer-main-nav {
        flex-direction: row;
        gap: 70px;
    }

    .footer-bottom-content {
        flex-direction: row;
        justify-content: center;
        align-items: center;
        gap: 45px;
        padding: 25px 0px;
    }

    .footer-navigations-holder {
        display: flex;
        height: 100%;
        align-items: center;
        margin-top: 0px;
    }

    .slider-buttons-holder button {
        width: 50px;
        height: 50px;
    }

    .desktop-links {
        align-items: center;
        display: flex;
    }

    .desktop-main-nav {
        display: flex;
        gap: 70px;
        padding-left: 0px !important;
    }

    .desktop-nav-item-button {
        font: inherit;
        color: var(--white);
        display: flex;
        align-items: center;
        gap: 10px;

    }

    .desktop-main-nav li {
        font-size: 14px;
        line-height: 16px;
    }

    .desktop-nav-item-button svg {
        transition: transform var(--timing-function);
        transform: translate3d(0px, 0px, 0.0001px) rotate(0deg);
    }

    .desktop-nav-dropdown {
        position: relative;
    }

    .desktop-submenu {
        position: absolute;
        width: 210px;
        top: 30px;
        left: 0px;
        padding: 15px 10px;
        border-radius: var(--radius);
        background: radial-gradient(205.03% 250.19% at -38.32% 133.55%, rgba(17, 148, 210, 0.30) 0%, rgba(255, 255, 255, 0.17) 73.08%, rgba(49, 163, 216, 0.30) 100%);
        box-shadow: 0 4px 4px 0 rgba(0, 0, 0, 0.25);
        backdrop-filter: blur(8px);
        -webkit-backdrop-filter: blur(8px);
        display: flex;
        flex-direction: column;
        gap: 10px;
        transform: translate3d(0px, -20px, 0.0001px);
        opacity: 0;
        pointer-events: none;
        transition: opacity var(--timing-function), transform var(--timing-function);
    }

    .active-desktop-dropdown-menu .desktop-submenu {
        transform: translate3d(0px, 0px, 0.0001px);
        opacity: 1;
        pointer-events: auto;
    }

    .active-desktop-dropdown-menu .desktop-nav-item-button svg {
        transform: translate3d(0px, 0px, 0.0001px) rotate(-180deg);
    }

    .active-desktop-dropdown-menu .desktop-nav-item-button {
        color: var(--green);
    }

    .desktop-nav-item a {
        color: var(--white);
    }

    .nav-active-desktop a {
        color: var(--green);
    }

    .nav-active-dropdown-desktop .desktop-nav-item-button {
        color: var(--green);
    }

    .contact-holder {
        padding-top: 100px;
        padding-bottom: 100px;
    }

    .footer-submenu {
        max-width: 150px;
    }

    .footer-social-media {
        align-items: center;
        margin-top: 0px;
        height: 100%;
        justify-content: flex-end;
    }

    .link {
        padding: 7.5px 20px;
    }

    .text-and-link {
        gap: 40px;
    }
}

@media only screen and (min-width:1200px) {
    .title {
        font-size: 60px;
        line-height: 70px;
    }



    .heading {
        font-size: 35px;
        line-height: 45px;
    }

    .mini-heading {
        font-size: 25px;
        line-height: 35px;
    }

    .solution-holder {
        gap: 50px;
    }

    .solution-images {
        width: calc(50% - 25px);
        height: 600px;
    }

    .solutions-content {
        width: calc(50% - 25px);
    }

    .solution-svg-box {
        top: 0px;
    }

    .contact-image {
        height: 300px;
    }

    .footer-navigations-holder {
        justify-content: center;
    }

    .desktop-links {
        justify-content: center;
    }
}

@media only screen and (min-width:1400px) {
    .title {
        font-size: 70px;
        line-height: 80px;
    }

    .heading {
        font-size: 40px;
        line-height: 50px;
    }

    .solution-holder {
        gap: 100px;
    }

    .solution-images {
        width: calc(50% - 50px);
        height: 600px;
    }

    .solutions-content {
        width: calc(50% - 50px);
    }

    .contact-image {
        height: 350px;
    }
}

@media only screen and (min-width:1600px) {
    .title {
        font-size: 75px;
        line-height: 85px;
    }

    .heading {
        font-size: 50px;
        line-height: 60px;
    }

    .contact-image {
        height: 400px;
    }

    .desktop-main-nav, .footer-main-nav {
        gap: 100px;
    }

}

@media only screen and (min-width:1800px) {
    .title {
        font-size: 85px;
        line-height: 95px;
    }

    .solution-holder {
        justify-content: space-between;
    }

    .solution-images {
        width: calc(42% - 50px);
        height: 700px;
    }

    .solutions-content {
        width: calc(55% - 50px);
    }


    .solution-item {
        flex-direction: column;
    }


    .contact-image {
        height: 350px;
    }
}

@media only screen and (hover:hover) and (min-width:992px) {
    .desktop-nav-item a:hover {
        color: var(--green);
    }

    .desktop-nav-item a {
        transition: all var(--timing-function);
    }

    .white-link:hover {
        color: var(--white);
        background-color: transparent;
    }

    .transparent-link:hover {
        color: var(--black);
        background-color: var(--white);
    }

    .service-item:hover {
        background-color: var(--white);
        color: var(--black);
    }

    .white-image {
        transition: all var(--timing-function);
    }

    .service-item:hover .white-image {
        opacity: 0;
    }

    .service-item:hover .full-image {
        opacity: 1;
    }

    .service-learn-more svg {
        transition: transform var(--timing-function);
        transform: translate3d(0px, 0px, 0.0001px);
    }

    .service-item:hover .service-learn-more svg {
        transform: translate3d(5px, 0px, 0.0001px);
    }

    .service-learn-more svg path {
        transition: fill var(--timing-function);
    }

    .service-item:hover .service-learn-more svg path {
        fill: var(--black);
    }

    .contact-link svg path {
        transition: fill var(--timing-function);
    }

    .contact-link:hover svg path {
        fill: var(--green);
    }

    .footer-nav-item a {
        transition: color var(--timing-function);
    }

    .footer-nav-item a:hover {
        color: var(--green);
    }

    .footer-bottom-content a {
        transition: color var(--timing-function), opacity var(--timing-function);
    }

    .footer-bottom-content a:hover {
        color: var(--green);
        opacity: 1;
    }

    .solution-item {
        cursor: pointer;
    }

    .solution-item:hover {
        opacity: 1;
    }

    .footer-social-media a svg path {
        transition: fill var(--timing-function);
    }

    .footer-social-media a:hover svg path {
        fill: var(--green);
    }
}